Loading...
Searching...
No Matches
gprs_sns_state Struct Reference

## Data Fields

struct gprs_ns_inst * | nsi
struct gprs_nsvc * | nsvc_hack
struct gprs_ns_ie_ip4_elem * | ip4_local
size_t | num_ip4_local
size_t | num_max_nsvcs
size_t | num_max_ip4_remote
struct gprs_ns_ie_ip4_elem * | ip4_remote
unsigned int | num_ip4_remote
uint16_t | next_nsvci

## Field Documentation

## ip4_local

struct gprs_ns_ie_ip4_elem* gprs_sns_state::ip4_local

Referenced by gprs_sns_bss_fsm_alloc(), gprs_sns_dump_vty(), and gprs_sns_st_config_bss_onenter().

## ip4_remote

struct gprs_ns_ie_ip4_elem* gprs_sns_state::ip4_remote

Referenced by add_remote_ip4_elem(), create_missing_nsvcs(), gprs_sns_dump_vty(), gprs_sns_st_config_sgsn(), gprs_sns_st_configured(), remove_remote_ip4_elem(), and update_remote_ip4_elem().

## next_nsvci

uint16_t gprs_sns_state::next_nsvci

Referenced by gprs_nsvc_create_ip4(), and gprs_sns_bss_fsm_alloc().

## nsi

struct gprs_ns_inst* gprs_sns_state::nsi

Referenced by gprs_nsvc_create_ip4(), gprs_sns_bss_fsm_alloc(), gprs_sns_dump_vty(), and ns_inst_from_fi().

## nsvc_hack

struct gprs_nsvc* gprs_sns_state::nsvc_hack

Referenced by gprs_nsvc_create_ip4(), gprs_sns_bss_fsm_alloc(), gprs_sns_st_config_bss_onenter(), gprs_sns_st_config_sgsn(), gprs_sns_st_configured(), and gprs_sns_st_size_onenter().

## num_ip4_local

size_t gprs_sns_state::num_ip4_local

Referenced by gprs_sns_bss_fsm_alloc(), gprs_sns_dump_vty(), and gprs_sns_st_config_bss_onenter().

## num_ip4_remote

unsigned int gprs_sns_state::num_ip4_remote

Referenced by add_remote_ip4_elem(), create_missing_nsvcs(), gprs_sns_dump_vty(), gprs_sns_st_config_sgsn(), gprs_sns_st_configured(), remove_remote_ip4_elem(), and update_remote_ip4_elem().

## num_max_ip4_remote

size_t gprs_sns_state::num_max_ip4_remote

Referenced by add_remote_ip4_elem(), gprs_sns_bss_fsm_alloc(), gprs_sns_dump_vty(), and gprs_sns_st_size_onenter().

## num_max_nsvcs

size_t gprs_sns_state::num_max_nsvcs

Referenced by gprs_sns_bss_fsm_alloc(), gprs_sns_dump_vty(), and gprs_sns_st_size_onenter().

The documentation for this struct was generated from the following file:

- src/gb/gprs_ns_sns.c